## libapache2-mod-rivet 3.0.2

=== cmake/CMakeLists.txt ===
# Georgios Petasis, petasis@iit.demokritos.gr

# The minimum version of cmake required. This may work also in 2.8,
# but I have not tested. My cmake is version 3.9.0.
cmake_minimum_required(VERSION 3.2 FATAL_ERROR)

# Rivet version:
set(RIVET_MAJOR_VERSION 3)
set(RIVET_MINOR_VERSION 0)
set(RIVET_PATCH_VERSION 0)
set(RIVET_VERSION
  ${RIVET_MAJOR_VERSION}.${RIVET_MINOR_VERSION}.${RIVET_PATCH_VERSION})
set(INIT_VERSION ${RIVET_MAJOR_VERSION}.${RIVET_MINOR_VERSION})

# Rivetlib version:
set(RIVETLIB_PACKAGE "rivetlib")
set(RIVETLIB_PACKAGE_VERSION ${INIT_VERSION})

# The arguments argument are optional, declares version and language
# (in this case C).
project(Rivet VERSION ${RIVET_VERSION} LANGUAGES C)

#  User options...
# ===========================================================================
set(with-tclsh "" CACHE FILEPATH "location of a working tclsh executable")
set(with-tcl   "" CACHE PATH "directory containing tcl configuration (tclConfig.sh)")
set(with-post-max 0 CACHE STRING  "BYTES Maximum size of data to be sent with a POST")
set(with-rivet-core "mod_rivet_ng" CACHE STRING "mod_rivet core directory")
set(with-upload-dir "/tmp"         CACHE STRING "Default directory for uploads")
option(version-display            "Display Rivet version in Apache signature" OFF)
option(head-requests              "Returns real headers in response to a HEAD request" OFF)
option(single-thread              "forces the worker brigde to create a single thread (debug)" OFF)
option(rivet-commands-export      "prevent export from ::rivet namespace" ON)
option(import-rivet-commands      "requires explicit namespace import" OFF)
option(virtual-interps-separation "to turn on virtual host separation" OFF)
option(requests-serialization     "Forces HTTP requests serialization among threads(debug)" OFF)
option(upload-var                 "whether files are uploaded to Tcl variables" ON)
option(BUILD_SHARED_LIBS          "build and link with shared libraries" ON)
option(TCL_THREADS                "build with threads" ON)
option(TCL_MEM_DEBUG              "build with memory debugging" OFF)

include(CMakeDependentOption)
CMAKE_DEPENDENT_OPTION(BUILD_STATIC_LIBS "build as static library" ON
                       "NOT BUILD_SHARED_LIBS" OFF)

# Offer the user the choice of overriding the installation directories
set(INSTALL_LIB_DIR lib CACHE PATH "Installation directory for libraries")
set(INSTALL_BIN_DIR bin CACHE PATH "Installation directory for executables")
set(INSTALL_INCLUDE_DIR include CACHE PATH
  "Installation directory for header files")
if(WIN32 AND NOT CYGWIN)
  set(DEF_INSTALL_CMAKE_DIR CMake)
else()
  set(DEF_INSTALL_CMAKE_DIR lib/CMake/Rivet)
endif()
set(INSTALL_CMAKE_DIR ${DEF_INSTALL_CMAKE_DIR} CACHE PATH
  "Installation directory for CMake files")

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# Use GNU install directories
include(GNUInstallDirs)

#  Rivet source files...
# ===========================================================================
set(RIVET_SRC_DIR "${PROJECT_SOURCE_DIR}/../src")
set(RIVET_LIB_DIR "${PROJECT_SOURCE_DIR}/../rivet")
set(RIVET_CORE ${with-rivet-core})

set(rivetparser_sources
  ${RIVET_SRC_DIR}/parser/rivetParser.c
  ${RIVET_SRC_DIR}/parser/parserPkgInit.c
)

set(rivetlib_sources
  ${RIVET_SRC_DIR}/librivet/rivetList.c
  ${RIVET_SRC_DIR}/librivet/rivetCrypt.c
  ${RIVET_SRC_DIR}/librivet/rivetWWW.c
  ${RIVET_SRC_DIR}/librivet/rivetPkgInit.c
)

set(rivet_worker_mpm_sources
  ${RIVET_SRC_DIR}/${RIVET_CORE}/rivet_worker_mpm.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/worker_prefork_common.c
)

set(rivet_prefork_mpm_sources
  ${RIVET_SRC_DIR}/${RIVET_CORE}/rivet_prefork_mpm.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/worker_prefork_common.c
)

set(rivet_lazy_mpm_sources
  ${RIVET_SRC_DIR}/${RIVET_CORE}/rivet_lazy_mpm.c
)

set(mod_rivet_sources
  ${RIVET_SRC_DIR}/${RIVET_CORE}/mod_rivet.c
  ${RIVET_SRC_DIR}/request/apache_multipart_buffer.c
  ${RIVET_SRC_DIR}/request/apache_request.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/rivetCore.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/rivetInspect.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/rivetChannel.c
  ${RIVET_SRC_DIR}/parser/rivetParser.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/TclWebapache.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/apache_config.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/mod_rivet_cache.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/mod_rivet_common.c
  ${RIVET_SRC_DIR}/${RIVET_CORE}/mod_rivet_generator.c
)

#  Add build targets...
# ===========================================================================
add_library(mod_rivet            ${mod_rivet_sources})
add_library(rivetparser          ${rivetparser_sources})
add_library(rivetlib             ${rivetlib_sources})
add_library(rivet_worker_mpm     ${rivet_worker_mpm_sources})
add_library(rivet_prefork_mpm    ${rivet_prefork_mpm_sources})
add_library(rivet_lazy_mpm       ${rivet_lazy_mpm_sources})
add_library(rivet::parser        ALIAS rivetparser)
add_library(rivet::lib           ALIAS rivetparser)
add_library(rivet::rivet         ALIAS mod_rivet)
add_library(rivet::worker_mpm    ALIAS rivet_worker_mpm)
add_library(rivet::prefork_mpm   ALIAS rivet_prefork_mpm)
add_library(rivet::lazy_mpm      ALIAS rivet_lazy_mpm)

SET_TARGET_PROPERTIES(mod_rivet         PROPERTIES PREFIX "" SUFFIX ".so")
SET_TARGET_PROPERTIES(rivet_worker_mpm  PROPERTIES PREFIX "" SUFFIX ".so")
SET_TARGET_PROPERTIES(rivet_prefork_mpm PROPERTIES PREFIX "" SUFFIX ".so")
SET_TARGET_PROPERTIES(rivet_lazy_mpm    PROPERTIES PREFIX "" SUFFIX ".so")
SET_TARGET_PROPERTIES(rivetparser       PROPERTIES PREFIX "lib")
SET_TARGET_PROPERTIES(rivetlib          PROPERTIES PREFIX "lib")

#  Definitions...
# ===========================================================================
target_compile_definitions (rivetparser        PRIVATE
   HAVE_CONFIG_H=1 USE_TCL_STUBS=1 START_TAG="<?" END_TAG="?>" )
target_compile_definitions (rivetlib           PRIVATE
   HAVE_CONFIG_H=1 USE_TCL_STUBS=1 START_TAG="<?" END_TAG="?>" )
target_compile_definitions (rivet_worker_mpm   PRIVATE HAVE_CONFIG_H=1 )
target_compile_definitions (rivet_prefork_mpm  PRIVATE HAVE_CONFIG_H=1 )
target_compile_definitions (rivet_lazy_mpm     PRIVATE HAVE_CONFIG_H=1 )
target_compile_definitions (mod_rivet          PRIVATE
   HAVE_CONFIG_H=1 START_TAG="<?" END_TAG="?>" )

# ===========================================================================
#  Locate needed packages...
# ===========================================================================
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake_extra_modules")
include(checks)

#  Locate Tcl...
# ===========================================================================
MESSAGE ( STATUS "Searching for Tcl..." )
if (NOT "${with-tcl}" STREQUAL "")
  MESSAGE ( STATUS "  Tcl lib directory manually set by -Dwith-tcl=" ${with-tcl} )
  get_filename_component(RIVET_TCL_ROOT "${with-tcl}" DIRECTORY)
  MESSAGE ( STATUS "  Setting Tcl root to: " ${RIVET_TCL_ROOT} )
  set ( CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${RIVET_TCL_ROOT} )
  set (TCL_ROOT ${RIVET_TCL_ROOT})
  set (TclStub_ROOT ${RIVET_TCL_ROOT})
endif ()
if (NOT "${with-tclsh}" STREQUAL "")
  MESSAGE ( STATUS "  Tclsh manually set by -Dwith-tclsh=" ${with-tclsh} )
  set (TCL_TCLSH ${with-tclsh})
endif ()
FIND_PACKAGE ( TCL 8.5.10 REQUIRED )
FIND_PACKAGE ( TclStub 8.5.10 REQUIRED )
MESSAGE ( STATUS "  TCL_TCLSH:               " ${TCL_TCLSH} )
MESSAGE ( STATUS "  TCL_INCLUDE_PATH:        " ${TCL_INCLUDE_PATH} )
MESSAGE ( STATUS "  TCL_LIBRARY:             " ${TCL_LIBRARY} )
MESSAGE ( STATUS "  TCL_STUB_LIBRARY:        " ${TCL_STUB_LIBRARY} )

#  Locate Apache...
# ===========================================================================
MESSAGE ( STATUS "Searching for Apache..." )
find_package(APACHE REQUIRED)
MESSAGE ( STATUS "  APACHE_INCLUDE_DIR:      " ${APACHE_INCLUDE_DIR} )
MESSAGE ( STATUS "  APACHE_MODULE_DIR:       " ${APACHE_MODULE_DIR} )
MESSAGE ( STATUS "  APACHE_LIB_DIR:          " ${APACHE_LIB_DIR} )

#  Locate Apr...
# ===========================================================================
MESSAGE ( STATUS "Searching for Apr..." )
find_package(APR REQUIRED)
MESSAGE ( STATUS "  APR_INCLUDE_DIR:         " ${APR_INCLUDE_DIR} )
MESSAGE ( STATUS "  APR_LIBRARY:             " ${APR_LIBRARY} )
MESSAGE ( STATUS "  APRUTIL_INCLUDE_DIR:     " ${APRUTIL_INCLUDE_DIR} )
MESSAGE ( STATUS "  APRUTIL_LIBRARY:         " ${APRUTIL_LIBRARY} )

find_package(Threads)

#  Set up include directories...
# ===========================================================================
set(RIVET_GENERATE_DIR ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_CFG_INTDIR})
set(RIVET_GENERATE_DIR ${PROJECT_BINARY_DIR}/generated)
set(RIVET_INCLUDE_DIRS_PUBLIC
  "${TCL_INCLUDE_PATH}"
  "${APACHE_INCLUDE_DIR}"
  "${APR_INCLUDE_DIR}"
  "${APRUTIL_INCLUDE_DIR}"
)
set(RIVET_INCLUDE_DIRS_PRIVATE
  "${RIVET_SRC_DIR}"
  "${RIVET_SRC_DIR}/${RIVET_CORE}"
  "${RIVET_SRC_DIR}/parser"
  "${RIVET_SRC_DIR}/request"
  "${RIVET_GENERATE_DIR}"
  "${PROJECT_BINARY_DIR}" 
)

target_include_directories(rivetparser
  PUBLIC ${RIVET_INCLUDE_DIRS_PUBLIC} PRIVATE ${RIVET_INCLUDE_DIRS_PRIVATE})
target_include_directories(rivetlib
  PUBLIC ${RIVET_INCLUDE_DIRS_PUBLIC} PRIVATE ${RIVET_INCLUDE_DIRS_PRIVATE})
target_include_directories(rivet_worker_mpm
  PUBLIC ${RIVET_INCLUDE_DIRS_PUBLIC} PRIVATE ${RIVET_INCLUDE_DIRS_PRIVATE})
target_include_directories(rivet_prefork_mpm
  PUBLIC ${RIVET_INCLUDE_DIRS_PUBLIC} PRIVATE ${RIVET_INCLUDE_DIRS_PRIVATE})
target_include_directories(rivet_lazy_mpm
  PUBLIC ${RIVET_INCLUDE_DIRS_PUBLIC} PRIVATE ${RIVET_INCLUDE_DIRS_PRIVATE})
target_include_directories(mod_rivet
  PUBLIC ${RIVET_INCLUDE_DIRS_PUBLIC} PRIVATE ${RIVET_INCLUDE_DIRS_PRIVATE})

#  Set up libraries...
# ===========================================================================
target_link_libraries(rivetparser        ${TCL_STUB_LIBRARY})
target_link_libraries(rivetlib           ${TCL_STUB_LIBRARY})
target_link_libraries(mod_rivet          ${TCL_LIBRARY})
if(WIN32)
  # Under Windows, we need to link with all libraries, even libhttpd.lib
  MESSAGE ( STATUS "Searching for libhttpd.lib (Windows)..." )
  FIND_LIBRARY(APACHE_HTTPD_LIBRARY libhttpd libhttpd.lib
    NAMES ${APACHE_HTTPD_NAMES}
    PATHS ${APACHE_HTTPD_LIBRARY_HINTS}
          ${APACHE_ROOT}/lib
  )
  MESSAGE ( STATUS "  APACHE_HTTPD_LIBRARY:    " ${APACHE_HTTPD_LIBRARY} )

  # Export all symbols from mod_rivet
  #SET_TARGET_PROPERTIES(mod_rivet PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)

  target_link_libraries(mod_rivet          ${APR_LIBRARY} ${APACHE_HTTPD_LIBRARY} )
  target_link_libraries(rivet_worker_mpm   ${APR_LIBRARY} ${APRUTIL_LIBRARY} ${APACHE_HTTPD_LIBRARY} mod_rivet)
  target_link_libraries(rivet_prefork_mpm  ${APR_LIBRARY} ${APACHE_HTTPD_LIBRARY} mod_rivet)
  target_link_libraries(rivet_lazy_mpm     ${APR_LIBRARY} ${APACHE_HTTPD_LIBRARY} mod_rivet)
  # rivet_worker_mpm.c uses round(), which is available in C99
  SET_TARGET_PROPERTIES(rivet_worker_mpm PROPERTIES C_STANDARD 99)
  if(MSVC)
    # Libraries linked with tclstubs.lib library, cannot use /SAFESEH
    SET_TARGET_PROPERTIES(rivetparser PROPERTIES LINK_FLAGS /SAFESEH:NO )
    SET_TARGET_PROPERTIES(rivetlib    PROPERTIES LINK_FLAGS /SAFESEH:NO )
  endif(MSVC)
endif(WIN32)

#  Handle user options...
# ===========================================================================
MESSAGE( STATUS "Rivet version ${RIVET_VERSION}:")
MESSAGE( STATUS "  Core in use: " ${RIVET_CORE})
set(CONFIGURE_CMD "cmake -${CMAKE_ARGC} ${CMAKE_ARGV0}")
if(version-display)
  set(DISPLAY_VERSION 1)
else(version-display)
  set(DISPLAY_VERSION 0)
endif()
if(head-requests)
  set(HEAD_REQUESTS 1)
endif()
set(MAX_POST ${with-post-max})
if(single-thread)
  set(MPM_SINGLE_TCL_THREAD 1)
endif()
set(NAMEOFEXECUTABLE ${TCL_TCLSH})
if(import-rivet-commands)
  message(STATUS "  Forcing Rivet to import commands from ::rivet namespace")
  set(NAMESPACE_IMPORT 1)
endif()
if(rivet-commands-export)

## libapache2-mod-rivet 2.0.2

=== debian/changelog ===
libapache2-mod-rivet (2.0.2-1) unstable; urgency=low

  * Initial package of Rivet for Debian
  * Closes: #599446, #599447

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 11 Oct 2010 15:22:19 +0200

=== debian/control ===
Source: libapache2-mod-rivet
Section: web
Priority: extra
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Build-Depends: tcl8.5-dev, apache2-prefork-dev, debhelper (>= 7.0.50~)
Build-Depends-Indep: xsltproc, docbook, docbook-utils, docbook-xsl, docbook-xml
Standards-Version: 3.9.1
Homepage: http://tcl.apache.org/rivet/

Package: libapache2-mod-rivet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, apache2-mpm-prefork
Suggests: libapache2-mod-rivet-doc
Description: Server-side Tcl programming system combining ease of use and power
 Apache Rivet is a system for creating dynamic web content via the Tcl
 programming language integrated with Apache Web Server. It is
 designed to be fast, powerful and extensible, consume few system
 resources, be easy to learn, and to provide the user with a platform
 that can also be used for other programming tasks outside the web
 (GUI's, system administration tasks, text processing, database
 manipulation, XML, and so on). In order to meet these goals
 Tcl programming language was chosen to combine with the Apache HTTP
 Server.

Package: libapache2-mod-rivet-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Rivet, a server-side Tcl programming system 
 Apache Rivet is a system for creating dynamic web content via the Tcl
 programming language integrated with Apache Web Server. It is
 designed to be fast, powerful and extensible, consume few system
 resources, be easy to learn, and to provide the user with a platform
 that can also be used for other programming tasks outside the web
 (GUI's, system administration tasks, text processing, database
 manipulation, XML, and so on). In order to meet these goals
 Tcl programming language was chosen to combine with the Apache HTTP
 Server. This package contains the HTML configuration and programming manual.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TCL_VERSION=8.5
package=libapache2-mod-rivet
LDFLAGS += -Wl,--as-needed
CFLAGS = -Wall -g

# Don't let the configure script guess our platform.
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

export DH_OPTIONS

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f _configs.sed
	dh_auto_clean
	dh_clean


build: configure build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	( cd doc; $(MAKE) docs )
	touch build-stamp

configure: configure-stamp

configure-stamp:
	dh_testdir
	chmod +x ./configure
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"				\
	./configure --host=$(DEB_HOST_GNU_TYPE) 			\
		    --build=$(DEB_BUILD_GNU_TYPE) 			\
		    --with-tcl=/usr/lib/tcl$(TCL_VERSION)/		\
		    --with-apache=/usr					\
		    --with-apxs=/usr/bin/apxs2				\
		    --with-tclsh=/usr/bin/tclsh$(TCL_VERSION)		\
		    --with-apache-version=2				\
		    --with-rivet-target-dir=/usr/lib/tcltk/rivet2.0	\
		    --enable-version-display 
	touch configure-stamp

binary-indep: build libapache2-mod-rivet-doc

binary-arch: build libapache2-mod-rivet

binary: build binary-arch binary-indep

libapache2-mod-rivet: build
	dh_testdir -a 
	dh_testroot -a 
	dh_clean
	dh_installdirs -p$@
	dh_installchangelogs ChangeLog
	dh_installdocs -p$@
	dh_install -a
	dh_installexamples -a -p$@
	dh_auto_install -a -p$@ --destdir=$(CURDIR)/debian/$@

	# Remove README* files in bogus places.
	find $(CURDIR)/debian/$@/usr/lib/tcltk -name 'README*' -exec rm -v {} \;

	dh_install -a -p$@
	dh_installman -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@ 

libapache2-mod-rivet-doc: build
	dh_testdir
	dh_testroot
	dh_installdirs -p$@
	dh_installdocs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@ 

.PHONY: build build-stamp clean binary binary-indep binary-arch configure

## libapache2-mod-rivet 2.0.3

=== debian/changelog ===
libapache2-mod-rivet (2.0.3-2) unstable; urgency=low

  * Added installation targets for removing unneeded .la libtool files 
    (Closes: #621613)
  * Removed redundant lines of code from 
    debian/libapache2-mod-rivet.postist
  * Debian script examined in order to check compliance with package 
    standard 3.9.2
  * Added 'automake' to list of Build-Depends

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 14 Apr 2011 22:40:27 +0200

libapache2-mod-rivet (2.0.3-1) unstable; urgency=low

  * New release 2.0.3 

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 19 Mar 2011 02:19:17 +0100

## libapache2-mod-rivet 2.0.4

=== debian/changelog ===
libapache2-mod-rivet (2.0.4-1) unstable; urgency=low

  * New upstream release 2.0.4
  * Remove debian/patches/makefile_am.diff - included upstream.
  * Package documentation tag set to 'Web Programming' in 
    debian/libapache2-mod-rivet-doc.doc-base

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 21 Sep 2011 22:20:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl8.5-dev, apache2-prefork-dev, debhelper (>= 7.0.50~)
+Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~)
 Build-Depends-Indep: xsltproc, docbook, docbook-utils, docbook-xsl, docbook-xml
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet

=== debian/rules ===
--- 
+++ 
@@ -28,16 +28,17 @@
 	dh_auto_clean
 	dh_clean
 
+build: build-arch build-indep
 
-build: configure build-stamp
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
 	( cd doc; $(MAKE) docs )
 	touch build-stamp
-
-configure: configure-stamp
 
 configure-stamp:
 	dh_testdir
@@ -99,4 +100,4 @@
 	dh_md5sums -p$@
 	dh_builddeb -p$@ 
 
-.PHONY: build build-stamp clean binary binary-indep binary-arch configure
+.PHONY: build build-stamp clean binary binary-indep binary-arch

## libapache2-mod-rivet 2.0.5

=== debian/changelog ===
libapache2-mod-rivet (2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5
  * postinst and prerm scripts following specifications dictated by 
    sourceful transition to Apache 2.4 undone and old Apache 2.2 style
    scripts reinstated
  * copyright file expanded
  * Drop the CHANGES and TODO file from the package, the content is
    currently meaningless and outdated.

 -- Massimo Manghi <mxmanghi@apache.org>  Fri, 29 Jun 2012 11:24:42 +0200

libapache2-mod-rivet (2.0.4-3) experimental; urgency=low

  * Fix "sourceful transition towards Apache 2.4" The binary package
    should not assume apache2 is installed, hence postinst might exit
    without enabling the module. (Closes: #666828)

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 24 Apr 2012 13:39:28 +0200

libapache2-mod-rivet (2.0.4-2) experimental; urgency=low

  * Fix "sourceful transition towards Apache 2.4" by adding recommended
    macro and procedure calls (Closes: #666828)
  * Removed build depends on docbook toolchain. Manual is not created during
    package build, the html output shipped with the upstream tarball is 
    copied into libapache2-mod-rivet-doc
  * Introduced compilation hardening flags to debian/rules and an unused
    variable has been removed. Created dquilt patch to be applied to 
    src/apache-2/mod_rivet.c (mod_rivet-hardening.patch)
  * added libtool to BuildDepends since automake doesn't depend on it,
    still we are using it to produce the mod_rivet.so shared library.
  * unused definition of DH_OPTIONS removed from 'rules'
  * compilation flags commented (and therefore unused) removed from debian/rules 
  * in 'rules' build-stamp target removed from list of phony targets 

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 10 Apr 2012 17:08:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: web
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~)
-Build-Depends-Indep: xsltproc, docbook, docbook-utils, docbook-xsl, docbook-xml
-Standards-Version: 3.9.2
+Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, apache2-mpm-prefork
+Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, apache2-mpm-prefork, tcllib
 Suggests: libapache2-mod-rivet-doc
 Description: Server-side Tcl programming system combining ease of use and power
  Apache Rivet is a system for creating dynamic web content via the Tcl

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 
 TCL_VERSION=8.5
 package=libapache2-mod-rivet
-LDFLAGS += -Wl,--as-needed
-CFLAGS = -Wall -g
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Don't let the configure script guess our platform.
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -37,7 +38,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
-	( cd doc; $(MAKE) docs )
+#	( cd doc; $(MAKE) docs )
 	touch build-stamp
 
 configure-stamp:
@@ -100,4 +101,4 @@
 	dh_md5sums -p$@
 	dh_builddeb -p$@ 
 
-.PHONY: build build-stamp clean binary binary-indep binary-arch
+.PHONY: build clean binary binary-indep binary-arch

## libapache2-mod-rivet 2.1.0

=== debian/changelog ===
libapache2-mod-rivet (2.1.0-1) unstable; urgency=low

  * New upstream release 2.1.0
  * Applied patches to fix minor bugs in version 2.1.0, improve
    command '::rivet::headers' error reporting.
  * Manual generation target patched and output generated using utf-8
    encoding.
  * Adding docbook-xml to build depends line in control.
  * Add command removing .la files generated by the build process for
    librivet and librivetparser

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 21 Jan 2013 23:59:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~)
+Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), docbook-xsl, xsltproc, docbook-xml
 Standards-Version: 3.9.3
 Homepage: http://tcl.apache.org/rivet/

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 TCL_VERSION=8.5
 package=libapache2-mod-rivet
+RIVETLIB_DIR=/usr/lib/tcltk/rivet2.1
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -14,9 +15,9 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -O0
+    CFLAGS += -O0
 else
-        CFLAGS += -O2
+    CFLAGS += -O2
 endif
 
 export DH_OPTIONS
@@ -38,22 +39,21 @@
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
-#	( cd doc; $(MAKE) docs )
+	( cd doc; rm -fr html/; $(MAKE) docs )
 	touch build-stamp
 
 configure-stamp:
 	dh_testdir
 	chmod +x ./configure
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"				\
-	./configure --host=$(DEB_HOST_GNU_TYPE) 			\
-		    --build=$(DEB_BUILD_GNU_TYPE) 			\
-		    --with-tcl=/usr/lib/tcl$(TCL_VERSION)/		\
-		    --with-apache=/usr					\
-		    --with-apxs=/usr/bin/apxs2				\
-		    --with-tclsh=/usr/bin/tclsh$(TCL_VERSION)		\
-		    --with-apache-version=2				\
-		    --with-rivet-target-dir=/usr/lib/tcltk/rivet2.0	\
-		    --enable-version-display 
+	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"				        \
+	./configure --host=$(DEB_HOST_GNU_TYPE) 			        \
+		        --build=$(DEB_BUILD_GNU_TYPE) 			        \
+		        --with-tcl=/usr/lib/tcl$(TCL_VERSION)/		    \
+		        --with-apache=/usr					            \
+		        --with-apxs=/usr/bin/apxs2				        \
+		        --with-tclsh=/usr/bin/tclsh$(TCL_VERSION)	    \
+		        --with-rivet-target-dir=$(RIVETLIB_DIR)	        \
+		        --enable-version-display 
 	touch configure-stamp
 
 binary-indep: build libapache2-mod-rivet-doc
@@ -75,7 +75,7 @@
 
 	# Remove README* files in bogus places.
 	find $(CURDIR)/debian/$@/usr/lib/tcltk -name 'README*' -exec rm -v {} \;
-
+	find $(CURDIR)/debian/$@/usr/lib/tcltk -name '*.la' -exec rm -v {} \;
 	dh_install -a -p$@
 	dh_installman -p$@
 	dh_link -p$@

## libapache2-mod-rivet 2.1.2

=== debian/changelog ===
libapache2-mod-rivet (2.1.2-1) unstable; urgency=low

  * New upstream code released 2.1.2
  * Undoing patch for src/apache-2/mod_rivet.c fixing unsecure call to
    ap_log_error

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 18 Jun 2013 23:59:26 +0200

libapache2-mod-rivet (2.1.1-3.1) unstable; urgency=low

  * Non-maintainer mea culpa upload.
  * Revert the Build-Depends-Indep split - doesn't work this way currently.
    (Closes: #711189)

 -- Sven Hoexter <hoexter@debian.org>  Wed, 05 Jun 2013 20:52:56 +0200

libapache2-mod-rivet (2.1.1-3) unstable; urgency=low

  [ Massimo Manghi ]
  * Fix "Apache 2.4 moves to Unstable" repackaging to complete sourceful
    transition to new packaging for Apache 2.4 (Closes: #709471)

  [ Sven Hoexter]
  * Build-Depend on debhelper >= 9 for compat level 9.
  * Split of Build-Depends-Indep for the -doc package.

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 30 May 2013 15:24:41 +0200

libapache2-mod-rivet (2.1.1-2) unstable; urgency=low

  * Changing build dependency from tcl8.5-dev to tcl-dev as Tcl 8.5
    is the current Debian default. This should also fix a problem
    with Ubuntu which already is using a multiarch configuration script
    in /usr/lib/tclConfig.sh

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 24 Apr 2013 23:36:55 +0200

libapache2-mod-rivet (2.1.1-1) unstable; urgency=low

  * New upstream release 2.1.1
  * Unapplied patches now incorporated in the original source code
  * Standards revised to conform new version 3.9.4
  * Package section changed to 'httpd' and priority changed to 'optional' 
    as recommended by Debian's latest changes to policy

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 28 Feb 2013 22:18:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libapache2-mod-rivet
-Section: web
+Section: httpd
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl8.5-dev, apache2-prefork-dev, automake, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), docbook-xsl, xsltproc, docbook-xml
-Standards-Version: 3.9.3
+Build-Depends: tcl-dev, apache2-dev, dh-apache2, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
+Standards-Version: 3.9.4
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, apache2-mpm-prefork, tcllib
+Depends: ${shlibs:Depends}, ${misc:Depends}, itcl3, tcllib
 Suggests: libapache2-mod-rivet-doc
 Description: Server-side Tcl programming system combining ease of use and power
  Apache Rivet is a system for creating dynamic web content via the Tcl

## libapache2-mod-rivet 2.1.3

=== debian/changelog ===
libapache2-mod-rivet (2.1.3-1) unstable; urgency=low

  * New upstream code 2.1.3 
  * Removed package dh-apache2 from Build-Depends
  * Undone patch removing distclean target from doc/Makefile.am

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 02 Oct 2013 11:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: httpd
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl-dev, apache2-dev, dh-apache2, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
+Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
 Standards-Version: 3.9.4
 Homepage: http://tcl.apache.org/rivet/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 TCL_VERSION=8.5
 package=libapache2-mod-rivet
 RIVETLIB_DIR=/usr/lib/tcltk/rivet2.1
+TCLSH_PROG=/usr/bin/tclsh
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -19,8 +20,6 @@
 else
     CFLAGS += -O2
 endif
-
-export DH_OPTIONS
 
 clean: 
 	dh_testdir
@@ -44,16 +43,17 @@
 
 configure-stamp:
 	dh_testdir
+	dh_autoreconf
 	chmod +x ./configure
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"				        \
-	./configure --host=$(DEB_HOST_GNU_TYPE) 			        \
-		        --build=$(DEB_BUILD_GNU_TYPE) 			        \
-		        --with-tcl=/usr/lib/tcl$(TCL_VERSION)/		    \
-		        --with-apache=/usr					            \
-		        --with-apxs=/usr/bin/apxs2				        \
-		        --with-tclsh=/usr/bin/tclsh$(TCL_VERSION)	    \
-		        --with-rivet-target-dir=$(RIVETLIB_DIR)	        \
-		        --enable-version-display 
+	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"         \
+	./configure --host=$(DEB_HOST_GNU_TYPE)         \
+		    --build=$(DEB_BUILD_GNU_TYPE)           \
+		    --with-tcl=/usr/lib/                    \
+		    --with-apache=/usr                      \
+		    --with-apxs=/usr/bin/apxs               \
+		    --with-tclsh=$(TCLSH_PROG)              \
+		    --with-rivet-target-dir=$(RIVETLIB_DIR) \
+		    --enable-version-display 
 	touch configure-stamp
 
 binary-indep: build libapache2-mod-rivet-doc
@@ -70,6 +70,7 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs -p$@
 	dh_install -a
+	dh_apache2 
 	dh_installexamples -a -p$@
 	dh_auto_install -a -p$@ --destdir=$(CURDIR)/debian/$@
 
@@ -77,6 +78,11 @@
 	find $(CURDIR)/debian/$@/usr/lib/tcltk -name 'README*' -exec rm -v {} \;
 	find $(CURDIR)/debian/$@/usr/lib/tcltk -name '*.la' -exec rm -v {} \;
 	dh_install -a -p$@
+	cp -vr rivet/packages $(CURDIR)/debian/$@$(RIVETLIB_DIR)
+	@echo "creating pkgIndex.tcl files for libapache2-mod-rivet"
+	find $(CURDIR)/debian/$@$(RIVETLIB_DIR) -name 'pkgIndex.tcl' -exec rm -v {} \;
+	-(  cd $(CURDIR)/debian/$@$(RIVETLIB_DIR); \
+	    echo 'eval pkg_mkIndex -verbose [pwd] [glob init.tcl [file join packages * *.tcl] [file join *[info sharedlibextension]]]' | $(TCLSH_PROG) ; )
 	dh_installman -p$@
 	dh_link -p$@
 	dh_strip -p$@

=== debian/watch ===
version=3
http://www.apache.org/dist/tcl/rivet/rivet-(\d.*)\.tar\.gz

## libapache2-mod-rivet 2.2.0

=== debian/changelog ===
libapache2-mod-rivet (2.2.0-1) unstable; urgency=medium

  * New upstream release 2.2.0

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 17 Jun 2014 20:34:57 +0200

libapache2-mod-rivet (2.1.4-2) unstable; urgency=low

  * Debian watch file has now information to verify upstrem tarball 
    signature
  * Duplicate png file removed from package

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 16 Mar 2014 00:48:31 +0100

libapache2-mod-rivet (2.1.4-1) unstable; urgency=low

  * New upstream release 2.1.4
  * Starting with 2.1.4 autoconf build scripts were reorganized to
    allow idempotent build of rivet (Closes: #725681)
  * Verified compliance with level 3.9.5 of the standards

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 05 Mar 2014 00:11:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-TCL_VERSION=8.5
+TCL_VERSION=8.6
 package=libapache2-mod-rivet
-RIVETLIB_DIR=/usr/lib/tcltk/rivet2.1
+RIVETLIB_DIR=/usr/lib/tcltk/rivet2.2
 TCLSH_PROG=/usr/bin/tclsh
 
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -100,6 +100,7 @@
 	dh_testroot
 	dh_installdirs -p$@
 	dh_installdocs -p$@
+	find $(CURDIR)/debian/$@/usr/share/doc/libapache2-mod-rivet-doc/html/images/ -name 'Rivetlogo_small.png' -exec rm -v {} \;
 	dh_compress -p$@
 	dh_fixperms -p$@
 	dh_installdeb -p$@

## libapache2-mod-rivet 2.2.1

=== debian/changelog ===
libapache2-mod-rivet (2.2.1-1) unstable; urgency=medium

  * Packaging new upstream release

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 22 Jan 2015 16:13:06 +0100

libapache2-mod-rivet (2.2.0-2) unstable; urgency=medium

  * Fixing lintian warnings because of improper usage of * in copyright 
    lines 

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 17 Nov 2014 01:25:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet

## libapache2-mod-rivet 2.2.3

=== debian/changelog ===
libapache2-mod-rivet (2.2.3-1) unstable; urgency=medium

  * New upstream version 
  * Fix wrong links in manual page

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 23 May 2015 21:03:41 +0200

libapache2-mod-rivet (2.2.2-1) unstable; urgency=medium

  * Packaging new upstream release 2.2.2
  * Update copyright file that missed information for m4/ax_split_version.m4
  * Installing the HTML manual from original archive skipping the generation
    stage. The manual has a Docbook macro which prints a timestamp and makes
    package build basically unreproducible

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 19 Apr 2015 16:59:48 +0200

## libapache2-mod-rivet 2.2.4

=== debian/changelog ===
libapache2-mod-rivet (2.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 06 Dec 2015 19:44:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: httpd
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, docbook-xsl, docbook-xml, xsltproc, dpkg-dev (>= 1.16.1~) 
+Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
 Standards-Version: 3.9.6
 Homepage: http://tcl.apache.org/rivet/

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,6 @@
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
-	( cd doc; rm -fr html/; $(MAKE) docs )
 	touch build-stamp
 
 configure-stamp:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://www.apache.org/dist/tcl/rivet/rivet-(\d.*)\.tar\.gz

## libapache2-mod-rivet 2.3.1

=== debian/changelog ===
libapache2-mod-rivet (2.3.1-1) unstable; urgency=medium

  * New upstream release fixes a bug in package 'form' 

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 17 Apr 2016 23:07:44 +0200

libapache2-mod-rivet (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Checked compliance with 3.9.7 version of Debian standards
  * Add bindnow hardening buildflag as demanded by lintian

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 30 Mar 2016 23:35:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet

## libapache2-mod-rivet 2.3.3

=== debian/changelog ===
libapache2-mod-rivet (2.3.3-1) unstable; urgency=medium

  * New upstream release
  * Add 'Multi-Arch: foreign' control line to package 
    libapache2-mod-rivet doc as suggested by the
    Multiarch hinter directives

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 01 Dec 2016 00:25:48 +0100

libapache2-mod-rivet (2.3.2-1) unstable; urgency=medium

  * New upstream release
  * Setting new standard version to 3.9.8 

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 22 Sep 2016 23:43:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
@@ -24,6 +24,7 @@
 Package: libapache2-mod-rivet-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Documentation for Rivet, a server-side Tcl programming system 
  Apache Rivet is a system for creating dynamic web content via the Tcl

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,10 @@
 
 TCL_VERSION=8.6
 package=libapache2-mod-rivet
-RIVETLIB_DIR=/usr/lib/tcltk/rivet2.2
+RIVETLIB_DIR=/usr/lib/tcltk/rivet2.3
 TCLSH_PROG=/usr/bin/tclsh
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

## libapache2-mod-rivet 2.3.4

=== debian/changelog ===
libapache2-mod-rivet (2.3.4-1) unstable; urgency=medium

  * New upstream release 
  * Changing Priority line in control file from 'extra' to 'optional'
    as per Debian standards version 4.0.1
  * add dh_autoreconf_clean debhelper macro

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 12 Aug 2017 01:03:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libapache2-mod-rivet
 Section: httpd
-Priority: extra
+Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet

## libapache2-mod-rivet 2.3.5

=== debian/changelog ===
libapache2-mod-rivet (2.3.5-1) unstable; urgency=medium

  *  New upstream release

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 12 Nov 2017 15:49:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 
 configure-stamp:
 	dh_testdir
+	dh_autoreconf_clean
 	dh_autoreconf
 	chmod +x ./configure
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"         \

## libapache2-mod-rivet 3.0.2

=== debian/changelog ===
libapache2-mod-rivet (3.0.2-1) unstable; urgency=medium

  * New upstream release 
  * Checked standards compliance up to 4.1.5

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 15 Jul 2018 18:48:36 +0200

libapache2-mod-rivet (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Raised compat level to 11, removed build-dependency on dh-autoreconf
  * Fixed URL of Debian copyright-format
  * Fixed a2dismod invocation in prerm script (it disabled package 'foo'!)
  * Removed conditional enabling of the module based on the MPM: 
    we support also the 'worker' and 'event' MPM
  * Installing also the NOTICE file in libapache2-mod-rivet-docs package
  * Checked stardards up to level 4.1.3

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 12 Feb 2018 18:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: httpd
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 9~), dh-autoreconf, automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 4.1.1
+Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 11~), automake, dpkg-dev (>= 1.16.1~) 
+Standards-Version: 4.1.5
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 TCL_VERSION=8.6
 package=libapache2-mod-rivet
-RIVETLIB_DIR=/usr/lib/tcltk/rivet2.3
+RIVETLIB_DIR=/usr/lib/tcltk/rivet3.0
 TCLSH_PROG=/usr/bin/tclsh
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -100,8 +100,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs -p$@
-	dh_installdocs -p$@
-	find $(CURDIR)/debian/$@/usr/share/doc/libapache2-mod-rivet-doc/html/images/ -name 'Rivetlogo_small.png' -exec rm -v {} \;
+	dh_installdocs -p$@ --exclude=Rivetlogo_small.png
+	#find $(CURDIR)/debian/$@/usr/share/doc/libapache2-mod-rivet-doc/html/images/ -name 'Rivetlogo_small.png' -exec rm -v {} \;
 	dh_compress -p$@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
